@layer components {
  .mv-area {
    position: relative;
    .mv-text-area {
      font-size: var(--fz-68);
      font-family: "Noto Sans JP", sans-serif;
      font-weight: 700;
      letter-spacing: .1em;
      color: #fff;
      position: absolute;
      inset: 0;
      z-index: 2;
      line-height: 1.4;
      @media (768px <= width) {
        place-content: center;
        display: grid;
      }
      @media (width < 768px) {
        height: fit-content;
        font-size: clamp(32px, 8.7vw, 48px);
        writing-mode: vertical-rl;
        white-space: nowrap;
        width: fit-content;
        top: 50%;
        transform: translateY(-50%);
        left: 5%;
      }
      p {
        line-height: 1.4;
      }
    }
    .mv-img-area {
      position: relative;
    }
    .mv-object {
      position: absolute;
      inset: 0;
      z-index: 1;
      pointer-events: none;
      img {
        display: block;
        width: 100%;
        height: 100%;
        object-fit: 100% auto;
      }
    }
    .mv-img {
      position: relative;
      z-index: 0;
      overflow: hidden;
      aspect-ratio: 16 / 9;
      min-height: 360px;
      @media (width < 768px) {
        aspect-ratio: 390 / 748;
      }
      picture {
        position: absolute;
        inset: 0;
        opacity: 0;
        transition: opacity 1s ease;
        &.is-active {
          opacity: 1;
        }
      }
      img {
        display: block;
        width: 100%;
        height: 100%;
        object-fit: cover;
      }
    }
  }

  .people {
    overflow: hidden;
    .inner {
      @media (768px <= width) {
        display: grid;
        grid-template-columns: 24% 1fr;
        gap: 40px;
      }
    }
    .title-area {
      position: relative;
      z-index: 2;
    }
    .contents {
      position: relative;
      z-index: 1;
      &::before {
        content: "";
        position: absolute;
        background: var(--light-gold, #E6E1B9);
        z-index: -1;
      }
      @media (768px <= width) {
        padding-bottom: 40px;
        &::before {
          width: 200%;
          height: 80%;
          top: 20%;
          left: -15%;
          border-radius: 24px 0 0 24px;
        }
      }
      @media (width < 768px) {
        padding-bottom: 40px;
        &::before {
          width: 110%;
          height: 93%;
          bottom: 0;
          right: -10;
          border-radius: 24px 0 0 24px;
        }
      }
    }
    .people-list {
      @media (768px <= width) {
        display: grid;
        grid-template-columns: repeat( 3, 1fr );
        gap: 32px;
      }
      @media (width < 768px) {
        display: flex;
        flex-direction: column;
        gap: 24px;
        width: 80%;
        margin: 32px 0 0 auto;
      }
      li {
        position: relative;
      }
      a {
        display: block;
        &:hover {
          .people-card .img-clip img {
            transform: scale(1.08);
          }
        }
      }
      .people-card {
        display: flex;
        flex-direction: row-reverse;
        justify-content: space-between;
        figcaption {
          font-size: var(--fz-14);
          writing-mode: vertical-rl;
        }
      }
      .img-clip {
        overflow: hidden;
        border-radius: 16px;
        width: calc(100% - 20px);
      }
      .people-card .img-clip img {
        display: block;
        width: 100%;
        height: auto;
        transition: transform .4s ease;
      }
      h3 {
        font-size: var(--fz-20);
        font-weight: 700;
        line-height: 1.4;
        margin-top: 16px;
      }
      .team {
        margin-top: 16px;
        border-left: 1px solid var(--navy);
        font-size: var(--fz-14);
        padding-left: 16px;
        line-height: 1.4;
        span {
          font-size: var(--fz-12);
        }
      }
      .no-link {
        pointer-events: none;
        @media (width < 768px) {
          display: none;
        }
        &::before {
          content: "COMING SOON";
          position: absolute;
          inset: 0;
          display: flex;
          justify-content: center;
          align-items: center;
          font-size: var(--fz-16);
          font-weight: 700;
          color: #fff;
          background: rgba(230, 225, 185, 0.7);
        }
      }
    }
  }

  .data {
    background: var(--light-gray, #EAEAEA);
    .inner {
      display: flex;
      flex-direction: column;
      @media (768px <= width) {
        gap: 40px;
      }
      @media (width < 768px) {
        gap: 24px;
      }
    }
    .date-list {
      display: grid;
      @media (768px <= width) {
        grid-template-columns: repeat( 3, 1fr );
        gap: 32px;
      }
      @media (width < 768px) {
        grid-template-columns: repeat( 2, 1fr );
        gap: 8px;
      }
    }
    .date-card {
      background: #fff;
      border-radius: 16px;
      @media (768px <= width) {
        padding: 40px 0;
      }
      @media (width < 768px) {
        padding: 24px 0;
      }
      h3 {
        line-height: 1.4;
        display: flex;
        flex-direction: column;
        justify-content: center;
        @media (768px <= width) {
          li:nth-child(-n+4) & {
            height: 3em;
          }
          li:nth-child(n+4):nth-child(-n+6) & {
            height: 3em;
          }
        }
        @media (width < 768px) {
          li:nth-child(-n+2) & {
            height: 4em;
          }
          li:nth-child(n+3):nth-child(-n+4) & {
            height: 3em;
          }
        }
        span {
          display: block;
          text-align: center;
        }
        .data-label {
          font-size: var(--fz-24);
          font-weight: 700;
          @media (width < 768px) {
            font-size: var(--fz-18);
          }
        }
        .data-description {
          font-size: var(--fz-14);
        }
      }
      .date-icon {
        display: flex;
        justify-content: center;
        align-items: center;
        margin: 32px 0 24px;
        @media (768px <= width) {
          height: 120px;
        }
        @media (width < 768px) {
          height: 90px;
          max-width: 70%;
          margin-inline: auto;
        }
        img {
          display: block;
          width: 100%;
          height: 100%;
          object-fit: contain;
        }
      }
      .data-group {
        display: flex;
        justify-content: center;
        gap: 8px 24px;
        @media (width < 768px) {
          flex-wrap: wrap;
        }
        @media (width < 768px) {
          gap: 8px 16px
        }
      }
      .data-item-label {
        display: block;
        color: var(--navy, #000120);
        font-size: var(--fz-16);
        font-weight: 700;
        text-align: center;
      }
      .data-value {
        display: flex;
        justify-content: center;
        align-items: baseline;
        line-height: 1;
        font-weight: 700;
      }
      .data-number {
        font-family: var(--font-num);
        @media (768px <= width) {
          font-size: var(--fz-80);
        }
        @media (width < 768px) {
          font-size: var(--fz-64);
        }
      }
      .data-unit {
        @media (768px <= width) {
          font-size: var(--fz-24);
        }
      }
      .data-meta {
        text-align: center;
        font-size: var(--fz-12);
        @media (768px <= width) {
          margin-top: 32px;
        }
        @media (width < 768px) {
          margin-top: 24px;
        }
      }
      &:nth-child(5){
        @media (width < 768px) {
          grid-column: 1 / -1;
        }
      }
      &:nth-child(6) {
        @media (768px <= width) {
          .data-group {
            gap: 8px;
          }
          .data-item-label {
            font-size: var(--fz-12);
          }
          .data-number {
            font-size: var(--fz-48);
          }
          .data-unit {
            font-size: var(--fz-14);
          }
        }
        @media (width < 768px) {
          grid-column: 1 / -1;
          padding: 24px;
        }
      }
    }
  }

  .jobtype {
    .jobtype-area {
      background: var(--light-gold) url('../img/bg-ball.svg') no-repeat;
      background-position: 60% 110%;
      background-size: auto 110%;
      border-radius: 24px;
      @media (768px <= width) {
        padding: 40px;
        display: flex;
        gap: 40px;
      }
      @media (width < 768px) {
        background-position: 110% 50%;
        background-size: 88% auto;
        padding: 40px 16px;
      }
    }
    .text-area {
      display: flex;
      flex-direction: column;
      gap: 24px;
      @media (768px <= width) {
        width: 30%;
      }
    }
    .img-area {
      display: flex;
      max-height: 100%;
      align-items: flex-start;
      @media (768px <= width) {
        width: 70%;
        gap: 24px;
      }
      @media (width < 768px) {
        flex-wrap: wrap;
        justify-content: space-between;
        margin-top: 32px;
      }
      img {
        display: block;
        object-fit: contain;
        height: auto;
        flex-shrink: 1;
        min-width: 0;
        &:nth-child(1) {
          aspect-ratio: 1 / 1;
          @media (768px <= width) {
            flex: 176;
          }
          @media (width < 768px) {
            width: 46%;
          }
        }
        &:nth-child(2) {
          aspect-ratio: 4 / 6;
          margin-top: auto;
          @media (768px <= width) {
            transform: translateY(60px);
            flex: 200;
          }
          @media (width < 768px) {
            margin-top: 60px;
            width: 48%;
          }
        }
        &:nth-child(3) {
          aspect-ratio: 840 / 526;
          margin: auto;
          @media (768px <= width) {
            flex: 420;
          }
          @media (width < 768px) {
            margin-top: 24px;
          }
        }
      }
    }
  }
  .bnr-area {
    .inner {
      padding: 0 0 40px;
    }
    .bnr {
      display: block;
      transition: opacity 0.3s var(--ease);
      @media (768px <= width) {
        width: 70%;
        margin-inline: auto;
      }
      &:hover {
        opacity: .6;
      }
    }
  }
}
